<?php
include_once("htui_header.php");

$scuser_id=$_SESSION["a_uid"];
if ($_GET['listid']!='' && $_GET['sp']==''){
   
	if (check_permission($scuser_id,'downlog.php',3)){
		$listid = flc_request($_GET['listid']);
		$sql = "delete from {$tablepre}mydown where id in(".$listid.")";
		$db->exec($sql);
		$response_arr = array("status" => 1,"message"  => '操作成功');
	}else{
        $response_arr = array("status" => -1,"message"  => '对不起,您无权限操作!');
	}

    echo json_encode($response_arr);
    exit;
}

$page=intval($_GET["page"]);
if ($page==0) $page=1;
  
$where = "";
if ($_POST["kw"]!=""){
   $kw=flc_request(trim($_POST["kw"]));
   $where = " AND m.msg_title like '%".$kw."%'";
}elseif ($_GET["kw"]!=""){
   $kw=flc_request(trim($_GET["kw"]));
   $where = " AND m.msg_title like '%".$kw."%'";
}

$sql = "select m.*,cm.category_id,cm.hits_num,cm.down_num,cm.fav_num,pic.thumbnail_path,d.id,d.scuser_id,d.add_time from {$tablepre}mydown d 
        inner join {$tablepre}message m on d.msg_id=m.msg_id
		inner join {$tablepre}categorymng cm on cm.msg_id=m.msg_id
	    inner join {$tablepre}attachmng pic ON pic.msg_id = m.msg_id
		WHERE 1=1 ".$where."
	    GROUP BY cm.msg_id order by m.msg_id desc,pic.attach_id asc"; 
$p       = new htui_page;
$myrow   = $db->get_all($sql);
$numrows = count($myrow);

$p->setvar(array("kw" => $kw)); 
$p->set($site_admin_num,$numrows,$psize); 
$ListArray = $db -> get_all($sql." limit ".$p->limit());


if(!empty($ListArray) && is_array($ListArray)){
     foreach($ListArray as $k => $v){
		$sql = "select * from {$tablepre}scuser where ID='".$v['scuser_id']."'";
        $row = $db->get_row($sql);
		$ListArray[$k]['UserName'] = $row['UserName'];
     }
}
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta id="scale" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>用户下载日志列表 - 飞天素材网</title>
<meta name="author" content="ftsucai.com">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/fonts.css" rel="stylesheet">
<link href="../css/htstyle.css" rel="stylesheet">
<link href="../css/jquery-confirm.min.css" rel="stylesheet">
</head>
  
<body>
    <!--页面主要内容-->
    <main class="ftdms-layout-content">
      
      <div class="container-fluid" style="margin-bottom:90px;">
        
        <div class="row" style="margin-top:15px;">
          <div class="col-lg-12">
            <div class="card">
              <div class="card-toolbar clearfix">
                <form class="pull-right search-bar" method="post" action="" role="form" id="search">
                  <div class="input-group">
                    <input type="text" class="form-control" value="" name="kw" placeholder="<?php echo $kw;?>">
                  </div>
                </form>

                <div class="toolbar-btn-action">
				  <a id="del" class="btn btn-default submenuitem"> 批量删除</a>
                </div>

              </div>
              <div class="card-body">
                
                <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                      <tr>
                        <th width="3%">
                          <label class="ftdms-checkbox checkbox-success">
                            <input type="checkbox" id="check-all"><span></span>
                          </label>
                        </th>
                        <th>信息标题</th>
                        <th>下载用户</th>
                        <th>下载数</th>
						<th>点击数</th>
						<th>扣积分</th>
						<th>下载日期</th>
                        <th>操作</th>
                      </tr>
                    </thead>
                    <tbody>
					  <?php
					  foreach ($ListArray as $k=>$v){
					  ?>
                      <tr>
                        <td>
                          <label class="ftdms-checkbox checkbox-success">
                            <input type="checkbox" name="ids" value="<?php echo $v['id']?>" data_id="<?php echo $v['id']?>"><span></span>
                          </label>
                        </td>
                        <td><font color="<?php echo $v['msg_titlecolor']?>"><?php echo $v['msg_title']?></font></td>
                        <td><?php echo $v['UserName']?></td>
                        <td><?php echo $v['down_num']?></td>
						<td><?php echo $v['hits_num']?></td>
						<td><?php echo $v['msg_integral']?></td>
                        <td><?php echo $v['add_time']?></td>
                        <td>
                          <div class="btn-group">
                            <a class="btn btn-xs btn-default submenuitem del" title="删除" data-toggle="tooltip" onclick="del_data(<?php echo $v['id']?>)"><i class="ftsucai-del"></i></a>
                          </div>
                        </td>
                      </tr>
					  <?php
					  }
					  ?>
                    </tbody>
                  </table>
				  <nav>
                    <ul class="pagination no-border">
                     <?php echo $pager=$p->output(1);?>
                    </ul>
                  </nav>
                </div>	
       
              </div>
            </div>
          </div>
          
        </div>
        
      </div>
      
    </main>
    <!--End 页面主要内容-->

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>
<script type="text/javascript" src="../js/jquery-confirm.min.js"></script>
<script type="text/javascript" src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/tips.js"></script>

<script type="text/javascript">

$(document).keyup(function(event){
  if(event.keyCode ==13){
    $("#search").trigger("click");
  }
});

$('#del').on('click', function(){
	//post字段
	var params =[]; var id='';
    $('input[name="ids"]:checked').each(function(){ 
    	//params.push($(this).val());
    	id += ','+this.value;
    });

    //alert(JSON.stringify(params));
    var listid=id.substr(1);
    //if (params.length==0){
    if (listid==''){
        tips.notify('你还没有选择任何内容！', 'danger', 1000);
		return false;
	}else{
		$.alert({
	        title: '你确定要删除吗？',
	        content: '',
			buttons: {
				confirm: {
					text: '确认',
					btnClass: 'btn-primary',
					action: function(){
			        	tips.loading('show');
			            //php端可用$_GET,$_post,file_get_contents("php://input")方式获取提交的数据
			    		$.post('downlog.php?listid='+listid, function(data) {
			                try {
			    				var ret = eval('('+data+')');
			    				if (ret.status == 1) {
			    					//alert(ret.msg);
			    					tips.loading('hide');
			    					tips.notify('操作成功，页面即将自动跳转~', 'success', 3000);
			    					window.location.reload();  //刷新当前页面
			    					//parent.location.reload();  //刷新父亲对象
			    				}else {
									tips.loading('hide');
			    					tips.notify('操作失败！', 'danger', 1000);
			    				}
			    			} catch (e) {
			    				tips.notify('网络异常,操作失败！', 'danger', 1000);
			    			}
			    		});
					}
				},
				cancel: {
					text: '取消',
					action: function () {
	                    //$.alert('你点击了取消!');
					}
				}
			}
	    });
	}
	
});

function del_data(id) {

	$('input[data_id^=' + id + ']').attr("checked","true");

	$.alert({
		title: '你确定要删除吗？',
		content: '',
		buttons: {
			confirm: {
				text: '确认',
				btnClass: 'btn-primary',
				action: function(){
					tips.loading('show');
					$.post('downlog.php?listid='+id, function(data) {
						try {
							var ret = eval('('+data+')');
							if (ret.status == 1) {
								tips.loading('hide');
								//tips.notify('操作成功，页面即将自动跳转~', 'success', 3000);
								window.location.reload();  //刷新当前页面
								//parent.location.reload();  //刷新父亲对象
							}else {
								tips.loading('hide');
								tips.notify(ret.message, 'danger', 600);
							}
						} catch (e) {
							tips.loading('hide');
							tips.notify('网络异常,操作失败！', 'danger', 1000);
						}
					});
				}
			},
			cancel: {
				text: '取消',
				action: function () {
					//$.alert('你点击了取消!');
				}
			}
		}
	});
}
</script>
</body>
</html>